Bug 133996 - unitialized variables used for parsing options / received signal 11
unitialized variables used for parsing options / received signal 11
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 17:18 EDT by bjorn l.
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 13:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bjorn l. 2004-09-28 17:18:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When using the harddrive kickstart option, anaconda fails
with:
   install exited abnormally - received signal 11

In looking and testing at the code, it appears that some
variables are not initialized properly.  For example, in
file hdinstall.c, function setKickstartHD, the addresses
of biospart, partition, and dir are passed to poptGetContext.

But it appears that if the corresponding option is not
selected in harddisk, then that variable is not updated,
yielding a segmentation violation later, when referenced.

Similar uninitialized variables appear to exist in
- setKickstartURL (char *url)
- useKickstartDD (char *src)


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Whether it is reproducible depends on the state of memory previously
2. Attempt a harddisk install from a kickstart file, without setting
--biospart
3.
    

Actual Results:    install exited abnormally - received signal 11


Expected Results:  install should have succeeded

Additional info:
Comment 1 Jeremy Katz 2004-09-28 18:06:18 EDT
Fixed in CVS
Comment 2 bjorn l. 2004-10-01 13:25:56 EDT
Thanks for the quick update.  I tested it with anaconda-10.0.3.8-1,
and it works.

But I did notice that in file driverdisk.c, function useKickstartDD,
src remains unitialized (as also listed in the bug description
above).  Unlike in the harddrive case, a segmentation
violation can only occur if the syntax of the driverdisk is not
correct (missing args), so it's not as likely.  But by simply
initializing src to NULL, anaconda would provide a descriptive warning
and proceed, instead of a signal 11 error message and crash.
Comment 3 Jeremy Katz 2004-10-01 13:59:01 EDT
Thanks, fixed.

Note You need to log in before you can comment on or make changes to this bug.